<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <f:view contentType="text/html">
        <h:head>
        </h:head>
        <h:body>
            testing the use of custom validators <br/>
            <p:ajaxStatus style="width:16px;height:16px;">
                <f:facet name="start">
                    <h:graphicImage value="../images/ajaxloadingbar.gif" />
                </f:facet>

                <f:facet name="complete">
                    <h:outputText value="" />
                </f:facet>
            </p:ajaxStatus>

            <p:messages id="msgs" showDetail="false" globalOnly="false" />

            <h:form prependId="false" id="form1">

                <h:inputText id="textId" value="#{validator.texto}">
                    <f:validator validatorId="chValidator"/>
                    <f:attribute name="chimbaRequired" value="true"/>
                </h:inputText>

                <p:commandButton value="dele" action="#{validator.foo}"
                                 update="msgs" >
                </p:commandButton>

            </h:form>



        </h:body>
    </f:view>
</html>